args.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/buffer.h>`
`#include <gwenhywfar/db.h>`

Go to the source code of this file.

## Data Structures

struct | GWEN_ARGS

## Macros

#define | GWEN_ARGS_FLAGS_HAS_ARGUMENT 0x00000001
#define | GWEN_ARGS_FLAGS_HELP 0x00000004
#define | GWEN_ARGS_FLAGS_LAST 0x00000002
#define | GWEN_ARGS_MODE_ALLOW_FREEPARAM 0x00000001
#define | GWEN_ARGS_MODE_STOP_AT_FREEPARAM 0x00000002
#define | GWEN_ARGS_RESULT_ERROR (-1)
#define | GWEN_ARGS_RESULT_HELP (-2)

## Typedefs

typedef struct GWEN_ARGS | GWEN_ARGS

## Enumerations

enum | GWEN_ARGS_OUTTYPE { GWEN_ArgsOutType_Txt =0 , GWEN_ArgsOutType_Html }
enum | GWEN_ARGS_TYPE { GWEN_ArgsType_Char =0 , GWEN_ArgsType_Int }

## Functions

GWENHYWFAR_API int | GWEN_Args_Check (int argc, char **argv, int startAt, uint32_t mode, const GWEN_ARGS *args, GWEN_DB_NODE *db)
GWENHYWFAR_API int | GWEN_Args_ShortUsage (const GWEN_ARGS *args, GWEN_BUFFER *ubuf, GWEN_ARGS_OUTTYPE ot)
GWENHYWFAR_API int | GWEN_Args_Usage (const GWEN_ARGS *args, GWEN_BUFFER *ubuf, GWEN_ARGS_OUTTYPE ot)

## Macro Definition Documentation

## GWEN_ARGS_FLAGS_HAS_ARGUMENT

#define GWEN_ARGS_FLAGS_HAS_ARGUMENT 0x00000001

Definition at line 50 of file args.h.

## GWEN_ARGS_FLAGS_HELP

#define GWEN_ARGS_FLAGS_HELP 0x00000004

Definition at line 52 of file args.h.

## GWEN_ARGS_FLAGS_LAST

#define GWEN_ARGS_FLAGS_LAST 0x00000002

Definition at line 51 of file args.h.

## GWEN_ARGS_MODE_ALLOW_FREEPARAM

#define GWEN_ARGS_MODE_ALLOW_FREEPARAM 0x00000001

Definition at line 54 of file args.h.

## GWEN_ARGS_MODE_STOP_AT_FREEPARAM

#define GWEN_ARGS_MODE_STOP_AT_FREEPARAM 0x00000002

Definition at line 55 of file args.h.

## GWEN_ARGS_RESULT_ERROR

#define GWEN_ARGS_RESULT_ERROR (-1)

Definition at line 57 of file args.h.

## GWEN_ARGS_RESULT_HELP

#define GWEN_ARGS_RESULT_HELP (-2)

Definition at line 58 of file args.h.

## Typedef Documentation

## GWEN_ARGS

typedef struct GWEN_ARGS GWEN_ARGS

Definition at line 36 of file args.h.

## Enumeration Type Documentation

## GWEN_ARGS_OUTTYPE

enum GWEN_ARGS_OUTTYPE

Enumerator
GWEN_ArgsOutType_Txt |
GWEN_ArgsOutType_Html |

Definition at line 67 of file args.h.

## GWEN_ARGS_TYPE

enum GWEN_ARGS_TYPE

Enumerator
GWEN_ArgsType_Char |
GWEN_ArgsType_Int |

Definition at line 61 of file args.h.

## Function Documentation

## GWEN_Args_Check()

GWENHYWFAR_API int GWEN_Args_Check | ( | int | argc,
|  | char ** | argv,
|  | int | startAt,
|  | uint32_t | mode,
|  | const GWEN_ARGS * | args,
|  | GWEN_DB_NODE * | db )

This function parses the given argument list. Known options are stored within the given DB under their respective name. Free parameters (which are arguments without leading "-"'s) are stored in the variable "params" of the given db.

References GWENHYWFAR_API.

## GWEN_Args_ShortUsage()

GWENHYWFAR_API int GWEN_Args_ShortUsage | ( | const GWEN_ARGS * | args,
|  | GWEN_BUFFER * | ubuf,
|  | GWEN_ARGS_OUTTYPE | ot )

Currently unimplemented; does nothing and returns zero.

## GWEN_Args_Usage()

GWENHYWFAR_API int GWEN_Args_Usage | ( | const GWEN_ARGS * | args,
|  | GWEN_BUFFER * | ubuf,
|  | GWEN_ARGS_OUTTYPE | ot )

Print a "usage" message into the given GWEN_BUFFER `ubuf`. The message lists all available options. The GWEN_ARGS_OUTTYPE argument is supposed to offer either text or html as output format, but currently only text is implemented.

References GWENHYWFAR_API.